Skip to content

Evaluate API Group.

POST
/api/ml/data/namespaces/{namespace}/app_api_groups/evaluate
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_api_groups/evaluate \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "api_group": { "api_endpoints_count": 1, "bigip_virtual_server": { "bigip_virtual_server": { "name": "example", "namespace": "example" } }, "cdn_loadbalancer": { "cdn_loadbalancer": { "name": "example", "namespace": "example" } }, "elements": [ { "methods": [ "ANY" ], "path_regex": "example" } ], "http_loadbalancer": { "http_loadbalancer": { "name": "example", "namespace": "example" } } }, "namespace": "example" }'

Evaluate API Group Builder against all API endpoints associated with the referenced object and return the resulting API Group. For example, if the referenced object is an HTTP LB then all discovered and imported endpoints are associated with it.

Examples of this operation.

namespace
required
string

Namespace Namespace of the API Group for the current request.

Media typeapplication/json
Evaluate API Group Request

Request shape for Evaluate API Group.

object
api_group
object
api_endpoints_count
api_endpoints_count

Number of API Endpoints in the actual API Group. If the lists included, matched, excluded are disjoint then the length is len(included) + len(matched) - excluded.

integer format: int64
bigip_virtual_server
object
bigip_virtual_server
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
cdn_loadbalancer
object
cdn_loadbalancer
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
elements
elements

List of API group elements with methods and path regex for matching requests.

Required: YES.

Array<object>
<= 5000 items
GlobalSpecType

Shape of api_group_element in the storage backend.

object
methods
methods

List of method values to match the input request API method against. The match is considered to succeed if the input request API method is a member of the list. Required: YES.

Array<string>
>= 1 items
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path_regex
path regex

Regular expression to match the input request API path against. The match is considered to succeed if the input request API path matches the specified path regex. Required: YES.

string
>= 1 characters <= 1024 characters
http_loadbalancer
object
http_loadbalancer
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
namespace
Namespace

Namespace of the API Group for the current request.

string
>= 6 characters <= 1024 characters

A successful response.

Media typeapplication/json
Evaluate API Group Response

Response for the Evaluate API Group request.

object
api_group
object
api_endpoints_count
api_endpoints_count

Number of API Endpoints in the actual API Group. If the lists included, matched, excluded are disjoint then the length is len(included) + len(matched) - excluded.

integer format: int64
bigip_virtual_server
object
bigip_virtual_server
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
cdn_loadbalancer
object
cdn_loadbalancer
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
elements
elements

List of API group elements with methods and path regex for matching requests.

Required: YES.

Array<object>
<= 5000 items
GlobalSpecType

Shape of api_group_element in the storage backend.

object
methods
methods

List of method values to match the input request API method against. The match is considered to succeed if the input request API method is a member of the list. Required: YES.

Array<string>
>= 1 items
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path_regex
path regex

Regular expression to match the input request API path against. The match is considered to succeed if the input request API path matches the specified path regex. Required: YES.

string
>= 1 characters <= 1024 characters
http_loadbalancer
object
http_loadbalancer
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
apieps_timestamp
apieps_timestamp

The API endpoints timestamp indicates when the most recent update of API endpoints happened For example, if the referenced object is HTTP LB then the API Discovery periodically updates the API endpoints list based on application’s traffic.

string format: date-time
<= 1024 characters
matching_api_endpoints
matching_api_endpoints

List of API Endpoints matched by the query expression. The paths appear here with parameters as defined in OpenAPI spec file.

Array<object>
Api Endpoint

The API Endpoint according to OpenAPI specification.

object
method
string
default: ANY
Allowed values: ANY GET HEAD POST PUT DELETE CONNECT OPTIONS TRACE PATCH COPY
path
path

An endpoint path, as specified in OpenAPI, including parameters. The path should comply with RFC 3986 and may have parameters according to OpenAPI specification Required: YES.

string
>= 1 characters <= 1024 characters
Example
{
"api_group": {
"elements": [
{
"methods": [
"ANY"
]
}
]
},
"matching_api_endpoints": [
{
"method": "ANY"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example